Bug 826661 - Macbook 3,1 monitor is broken
Macbook 3,1 monitor is broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 13:32 EDT by Michael Strobel
Modified: 2013-07-31 13:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:43:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (89.07 KB, text/x-log)
2012-05-30 13:32 EDT, Michael Strobel
no flags Details
lspci -vv (12.67 KB, text/x-log)
2012-05-30 13:33 EDT, Michael Strobel
no flags Details
xorg-log (72.06 KB, text/x-log)
2012-05-30 13:41 EDT, Michael Strobel
no flags Details
dmesg with drm.debug=4 (205.94 KB, application/octet-stream)
2012-05-30 16:21 EDT, Michael Strobel
no flags Details
picture of the screen (250.44 KB, image/jpeg)
2012-05-30 16:28 EDT, Michael Strobel
no flags Details
xorg-log of a working kubuntu 12.04 (50.84 KB, application/octet-stream)
2012-05-31 14:33 EDT, Michael Strobel
no flags Details
kubuntu 12.04 dmesg with drm.debug=4 (186.52 KB, application/octet-stream)
2012-06-04 13:17 EDT, Michael Strobel
no flags Details

  None (edit)
Description Michael Strobel 2012-05-30 13:32:12 EDT
Created attachment 587785 [details]
dmesg

Hello,

i've done a clean install of fc17 on my macbook 3,1 and it seems that the internal monitor is not recognized. My external dvi monitor is working fine while the internal does some kind of flickering. It does not show up in the gnome monitor configuration.

I'll attach dmesg / lspci -vv
Comment 1 Michael Strobel 2012-05-30 13:33:15 EDT
Created attachment 587786 [details]
lspci -vv
Comment 2 Michael Strobel 2012-05-30 13:41:17 EDT
Created attachment 587789 [details]
xorg-log
Comment 3 Adam Jackson 2012-05-30 16:01:12 EDT
Odd, the X log doesn't think you have any laptop outputs.  Can you boot with drm.debug=4 and attach dmesg from that?
Comment 4 Michael Strobel 2012-05-30 16:21:54 EDT
Created attachment 587846 [details]
dmesg with drm.debug=4
Comment 5 Michael Strobel 2012-05-30 16:28:51 EDT
Created attachment 587847 [details]
picture of the screen
Comment 6 Michael Strobel 2012-05-31 14:33:58 EDT
Created attachment 588167 [details]
xorg-log of a working kubuntu 12.04
Comment 7 Adam Jackson 2012-06-04 11:34:54 EDT
Any chance I can get drm.debug=4 dmesg from the kubuntu install?  I don't see anything in their patch set that would obviously fix this machine, so I suspect this is just a regression from 3.2.0 (in Precise) to 3.3.7 (in F17).
Comment 8 Michael Strobel 2012-06-04 13:17:37 EDT
Created attachment 589221 [details]
kubuntu 12.04 dmesg with drm.debug=4
Comment 9 Takanori MATSUURA 2012-06-13 07:37:07 EDT
According to bug 827654 comment #5, this seems to be caused by something other than xorg-x11.
Comment 10 Fedora End Of Life 2013-07-03 15:21:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 13:44:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.